> ## Documentation Index
> Fetch the complete documentation index at: https://pleo-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new tag sub-resource under the given tag group



## OpenAPI

````yaml post /v0/tag-groups/{groupId}/tags
openapi: 3.0.1
info:
  title: Tags API
  description: Tags OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-expense-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 31.38.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
paths:
  /v0/tag-groups/{groupId}/tags:
    post:
      tags:
        - tags
      summary: Creates a new tag sub-resource under the given tag group
      operationId: createTag
      parameters:
        - name: groupId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/TagCreateModel'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseTagModel'
components:
  schemas:
    TagCreateModel:
      required:
        - archived
        - code
      type: object
      properties:
        archived:
          type: boolean
          description: This tag is not used anymore
          example: false
        code:
          type: string
          description: External identifier of the Tag
          example: '12345'
        name:
          type: string
          description: >-
            User readable name that is used for the possible value within a tag
            group on an expense
          example: Lunch allowance
    DataResponseTagModel:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/TagModel'
    TagModel:
      required:
        - archived
        - code
        - createdAt
        - groupId
        - id
        - updatedAt
      type: object
      properties:
        archived:
          type: boolean
          description: This tag is not used anymore
          example: false
        code:
          type: string
          description: External identifier of the Tag
          example: '12345'
        createdAt:
          type: string
          description: Creation date and time
          format: date-time
          example: '2023-08-23T03:11:48.000Z'
        groupId:
          type: string
          description: Unique identifier of the Tag Group this tag belongs to
          format: uuid
        id:
          type: string
          description: Unique identifier of Tag
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120002
        name:
          type: string
          description: >-
            User readable name that is used for the possible value within a tag
            group on an expense
          example: Lunch allowance
        updatedAt:
          type: string
          description: Date and time of the last update
          format: date-time
          example: '2023-08-23T03:11:48.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.